let box, scene;

init();
loop();

function init() {

    // Initialize scene
    scene = new Scene(document.getElementById('canvas'));
    scene.autoResize();
    box = new Box();
    scene.add(box);

    // Initialize listeners
    window.addEventListener('resize', () => scene.autoResize());
    document.addEventListener('touchstart', () => box.jump());

}

function loop() {

    // Manage physics
    scene.update();

    // Do rendering
    scene.render();

    requestAnimationFrame(loop);
}

